Open App

Scouts

API endpoints for scouts

List scouts

GET /api/v1/scouts

Parameters

NameInTypeRequiredDescription
organizationIdquerystringNoOrganization scope id. Omit for token default; pass an empty value for personal scope where supported.
categoryIdquerystringNo
includequerystringNoComma-separated relation names to hydrate, or all.
limitqueryintegerNoMaximum number of items to return.
offsetqueryintegerNoNumber of items to skip.

Example request

curl -X GET \
"https://api.getpilfer.com/api/v1/scouts?organizationId=<organizationId>&categoryId=<categoryId>&include=<include>&limit=<limit>&offset=<offset>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [
    {
      "_id": "string",
      "name": "string",
      "status": "string",
      "priority": "string",
      "categoryId": "string"
    }
  ]
}

Other statuses: 401, 403.

Response body type

{ data: Scout[] }


Create scout

POST /api/v1/scouts

Example request

curl -X POST \
"https://api.getpilfer.com/api/v1/scouts" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"
-d '{"name":"string","organizationId":"string","categoryId":"string","url":"string","heroImage":"string","priority":"urgent","status":"Archive","estimatedCost":0,"potentialCost":0,"need":0,"urgency":0,"use":0,"longevity":0,"roi":0,"systemFit":0,"emotionalPull":0,"infrastructureFit":0,"activationPotential":0}'

Example response

Status: 201

{
  "data": {
    "_id": "string",
    "name": "string",
    "status": "string",
    "priority": "string",
    "categoryId": "string"
  }
}

Other statuses: 400, 401, 403.

Response body type

{ data: Scout }


Get scout

GET /api/v1/scouts/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id
includequerystringNoComma-separated relation names to hydrate, or all.

Example request

curl -X GET \
"https://api.getpilfer.com/api/v1/scouts/<id>?include=<include>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "_id": "string",
    "name": "string",
    "status": "string",
    "priority": "string",
    "categoryId": "string"
  }
}

Other statuses: 401, 403, 404.

Response body type

{ data: Scout }


Update scout

PATCH /api/v1/scouts/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X PATCH \
"https://api.getpilfer.com/api/v1/scouts/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"
-d '{"name":"string","categoryId":"string","url":"string","heroImage":"string","priority":"urgent","status":"Archive","estimatedCost":0,"potentialCost":0,"need":0,"urgency":0,"use":0,"longevity":0,"roi":0,"systemFit":0,"emotionalPull":0,"infrastructureFit":0,"activationPotential":0}'

Example response

Status: 200

{
  "data": {
    "_id": "string",
    "name": "string",
    "status": "string",
    "priority": "string",
    "categoryId": "string"
  }
}

Other statuses: 400, 401, 403, 404.

Response body type

{ data: Scout }


Delete scout

DELETE /api/v1/scouts/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X DELETE \
"https://api.getpilfer.com/api/v1/scouts/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {}
}

Other statuses: 401, 403, 404.

Response body type

{ data: DeleteResult }


List sources for a scout

GET /api/v1/scouts/{scoutId}/sources

Parameters

NameInTypeRequiredDescription
scoutIdpathstringYesScout document id
limitqueryintegerNoMaximum number of items to return.
offsetqueryintegerNoNumber of items to skip.

Example request

curl -X GET \
"https://api.getpilfer.com/api/v1/scouts/<scoutId>/sources?limit=<limit>&offset=<offset>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [
    {
      "_id": "string",
      "scoutId": "string",
      "url": "string",
      "title": "string",
      "price": 0
    }
  ]
}

Other statuses: 401, 403, 404.

Response body type

{ data: Source[] }


Create source on a scout

POST /api/v1/scouts/{scoutId}/sources

Parameters

NameInTypeRequiredDescription
scoutIdpathstringYesScout document id

Example request

curl -X POST \
"https://api.getpilfer.com/api/v1/scouts/<scoutId>/sources" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"
-d '{"url":"string","title":"string","price":0,"imageUrl":"string","notes":"string"}'

Example response

Status: 201

{
  "data": {
    "_id": "string",
    "scoutId": "string",
    "url": "string",
    "title": "string",
    "price": 0
  }
}

Other statuses: 400, 401, 403, 404.

Response body type

{ data: Source }


Get source

GET /api/v1/scouts/{scoutId}/sources/{sourceId}

Parameters

NameInTypeRequiredDescription
scoutIdpathstringYesScout document id
sourceIdpathstringYesSource document id

Example request

curl -X GET \
"https://api.getpilfer.com/api/v1/scouts/<scoutId>/sources/<sourceId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "_id": "string",
    "scoutId": "string",
    "url": "string",
    "title": "string",
    "price": 0
  }
}

Other statuses: 401, 403, 404.

Response body type

{ data: Source }


Update source

PATCH /api/v1/scouts/{scoutId}/sources/{sourceId}

Parameters

NameInTypeRequiredDescription
scoutIdpathstringYesScout document id
sourceIdpathstringYesSource document id

Example request

curl -X PATCH \
"https://api.getpilfer.com/api/v1/scouts/<scoutId>/sources/<sourceId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"
-d '{"url":"string","title":"string","price":0,"imageUrl":"string","notes":"string"}'

Example response

Status: 200

{
  "data": {
    "_id": "string",
    "scoutId": "string",
    "url": "string",
    "title": "string",
    "price": 0
  }
}

Other statuses: 400, 401, 403, 404.

Response body type

{ data: Source }


Delete source

DELETE /api/v1/scouts/{scoutId}/sources/{sourceId}

Parameters

NameInTypeRequiredDescription
scoutIdpathstringYesScout document id
sourceIdpathstringYesSource document id

Example request

curl -X DELETE \
"https://api.getpilfer.com/api/v1/scouts/<scoutId>/sources/<sourceId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {}
}

Other statuses: 401, 403, 404.

Response body type

{ data: DeleteResult }


Add a typed scout relationship

POST /api/v1/scouts/{id}/relationships

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id

Example request

curl -X POST \
"https://api.getpilfer.com/api/v1/scouts/<id>/relationships" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"
-d '{"relatedScoutId":"string","type":"parent_of"}'

Example response

Status: 201

{}

Other statuses: 400, 401, 403, 404.

Response body type

{ data: object }


DELETE /api/v1/scouts/{id}/relationships/{linkId}

Parameters

NameInTypeRequiredDescription
idpathstringYesConvex document id
linkIdpathstringYes

Example request

curl -X DELETE \
"https://api.getpilfer.com/api/v1/scouts/<id>/relationships/<linkId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {}
}

Other statuses: 401, 403, 404.

Response body type

{ data: DeleteResult }